summaryrefslogtreecommitdiff
path: root/init.d
diff options
context:
space:
mode:
authorWilliam Hubbs <williamh@gentoo.org>2010-08-09 20:01:15 -0500
committerWilliam Hubbs <williamh@gentoo.org>2010-08-09 20:01:15 -0500
commitd3ccbdb5a94e61e84bdc2d82d450ee8a5e4a22f4 (patch)
treedc1eec277d6b455b03f32710ae8a4cd3d92f266a /init.d
parent1cdf85e1cebffd067d21bb66512dc82016a2da69 (diff)
downloadopenrc-d3ccbdb5a94e61e84bdc2d82d450ee8a5e4a22f4.tar.gz
openrc-d3ccbdb5a94e61e84bdc2d82d450ee8a5e4a22f4.tar.bz2
openrc-d3ccbdb5a94e61e84bdc2d82d450ee8a5e4a22f4.tar.xz
allow ip to be in /sbin or /bin
This makes it possible for the "ip" program in iproute2 to be installed in /sbin or /bin.
Diffstat (limited to 'init.d')
-rw-r--r--init.d/network.in6
1 files changed, 3 insertions, 3 deletions
diff --git a/init.d/network.in b/init.d/network.in
index 135e5d8..01e88ce 100644
--- a/init.d/network.in
+++ b/init.d/network.in
@@ -63,7 +63,7 @@ tentative()
case "$RC_UNAME" in
Linux)
- [ -x /sbin/ip ] || return 1
+ [ -x /sbin/ip ] || [ -x /bin/ip ] || return 1
[ -n "$(ip -f inet6 addr show tentative)" ]
;;
*)
@@ -161,7 +161,7 @@ runip()
routeflush()
{
if [ "$RC_UNAME" = Linux ]; then
- if [ -x /sbin/ip ]; then
+ if [ -x /sbin/ip ] || [ -x /bin/ip ]; then
ip route flush scope global
ip route delete default 2>/dev/null
else
@@ -338,7 +338,7 @@ stop()
then
veinfo "$int"
runargs /etc/ifdown."$int" "$downcmd"
- if [ -x /sbin/ip ]; then
+ if [ -x /sbin/ip ] || [ -x /bin/ip ]; then
# We need to do this, otherwise we may
# fail to add things correctly on restart
ip address flush dev "$int" 2>/dev/null